<?php

    //初期データ読み込み
    require('ini.php');
    require('initial_read.php');
	
	//ページID
	$thispage = "addnew";

//POSTした場合
if (isset($_POST['addnew'])){
	
	$message = "";
	//パラメータチェック
	if ($_POST['devicename'] == ""){
		$message = "デバイス名が記載されていません。";
	}else{
		$name = $_POST['devicename'];
	}
	
    if ($_POST['devicemodel'] == ""){
        $message = "デバイス モデル名が記載されていません。";
	}else{
		$model = $_POST['devicemodel'];
	}
	
    $serial = $_POST['serialno'];

    if ($_POST['devicetype'] == ""){
        $type = 0;
	}else{
		$type = $_POST['devicetype'];
	}
	
	if ($message == ""){		
		
		//SQL発行（device登録）
		$sql = 'INSERT INTO devices (name, model, serial, unit) VALUES (:name, :model, :serial, :unit)';
		$prepare = $dbh->prepare($sql);
		$prepare->bindParam(':name', $name, PDO::PARAM_STR);
		$prepare->bindParam(':model', $model, PDO::PARAM_STR);
		$prepare->bindParam(':serial', $serial, PDO::PARAM_STR);
		$prepare->bindParam(':unit', $type, PDO::PARAM_INT);
		$prepare->execute();
		$result = $prepare->fetchAll(PDO::FETCH_ASSOC);
		
		//$message = $sql;
		//$message = var_dump($result);

		//生成したid（最新のもの）を取得
		$sql = 'SELECT MAX(id) FROM devices';
		$prepare = $dbh->prepare($sql);
		$prepare->execute();
		$result = $prepare->fetchAll(PDO::FETCH_ASSOC);
		$j = $result[0]['MAX(id)'];

		$sql = 'CREATE TABLE `'.$dbname.'`.`d' . $j . '` (' . 
			'`timestamp` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ,' . 
			'`value` FLOAT(8,2) NOT NULL ,' . 
			'`status_u` INT(1) NULL ,' . 
			'`status_l` INT(1) NULL ,' . 
			'`marks` VARCHAR(20) NULL DEFAULT NULL ,' . 
			'PRIMARY KEY (`timestamp`)' . 
			') ENGINE = InnoDB' ;
		$prepare = $dbh->prepare($sql);
		$prepare->execute();
		$result = $prepare->fetchAll(PDO::FETCH_ASSOC);	

		header("Location: ./sensor-modify.php?deviceid=" . $j);
        exit();
				
	}
}
?>

<!DOCTYPE html>
<html lang="ja">

<?php
    //ヘッダー情報の読み込み
    require('menu_head.php');
?>

<body id="page-top">

  <!-- Page Wrapper -->
  <div id="wrapper">

<?php
    //初期データ読み込み
    require('menu_side.php');
?>

    <!-- Content Wrapper -->
    <div id="content-wrapper" class="d-flex flex-column">

      <!-- Main Content -->
      <div id="content">

<?php
    //初期データ読み込み
    require('menu_topbar.php');
?>

        <!-- Begin Page Content -------------------------------------------------------------------------------------------------->
        <div class="container-fluid">

          <!-- Page Heading -->
          <div class="d-sm-flex align-items-center justify-content-between mb-4">
            <h1 class="h3 mb-0 text-gray-800">端末（センサ）の追加</h1>
            <a href="#" class="d-none d-sm-inline-block btn btn-sm btn-primary shadow-sm"><i class="fas fa-download fa-sm text-white-50"></i> Generate Report</a>
          </div>

          <!-- Content Row -->
          <div class="row">


			<div class="col-xl-12 col-lg-12">
				<!-- Form input -->
				<div class="card shadow mb-4">
					<div class="card-header py-3">
						<h6 class="m-0 font-weight-bold text-primary">端末（センサ）追加</h6>
					</div>
					<div class="card-body">
						<p class="help-block"><?=$message?></p>
						<form class="form-horizontal" method="POST" action="">
							<fieldset>
								<div class="control-group">
									<div class="controls">
										<label class="control-label" for="devicename">デバイス名</label>
										<input type="text" name="devicename" class="input-xlarge" id="devicename" value="<?=$name?>">
									</div>
								</div>
								<div class="control-group">
									<div class="controls">
										<label class="control-label" for="devicemodel">デバイス　モデル名</label>
										<input type="text" name="devicemodel" class="input-xlarge" id="devicemodel" value="<?=$model?>">
									</div>
								</div>
								<div class="control-group">
									<div class="controls">
										<label class="control-label" for="serialno">デバイス シリアル番号</label>
										<input type="text" name="serialno" class="input-xlarge" id="serialno" value="<?=$serial?>">（省略可能）
									</div>
								</div>
								<div class="control-group">
									<div class="controls">
										<label class="control-label" for="devicetype">デバイス データの表示単位</label>
										<select name="devicetype">
										<?php
										    foreach (array_keys($units) as $unit){
												print '<option value="'.$unit.'">'.$units[$unit].'</option>';
											}
										?>
										</select>
									</div>
								</div>
								
								<div class="form-actions">
									<input type="submit" name="addnew" class="btn btn-primary" value="デバイス追加"></input>
								</div>
							</fieldset>
						</form>
					</div>
				</div>
			</div>










          </div>
		  <!-- Content Row end-->

        </div>
        <!-- /.container-fluid -->

      </div>
      <!-- End of Main Content  -------------------------------------------------------------------------------------------------->

<?php
    //初期データ読み込み
    require('menu_footer.php');
?>

    </div>
    <!-- End of Content Wrapper -->

  </div>
  <!-- End of Page Wrapper -->

<?php
    //ヘッダー情報の読み込み
    require('menu_buttom.php');
?>

</body>

</html>