<?php

    //初期データ読み込み
    require('ini.php');
    require('initial_read.php');

	
	//ページID
	$thispage = "modifydevice";

	//デバイス番号
	if(ctype_digit ( $_GET['deviceid'] )){
		$current_deviceid = $_GET['deviceid'];
	}else{
		header("Location: ./index.php");
        exit();
	}
	
	$message = "";
	//変更の書き込み
	if (isset($_POST['modify'])){
		//パラメータチェック
		if ($_POST['devicename'] == ""){
			$message = "デバイス名が記載されていません。";
		}else{
			$name = $_POST['devicename'];
		}
		
		if ($_POST['devicemodel'] == ""){
			$message = "デバイス モデル名が記載されていません。";
		}else{
			$model = $_POST['devicemodel'];
		}
		
		$serial = $_POST['serialno'];

		if ($_POST['devicetype'] == ""){
			$type = 0;
		}else{
			$type = $_POST['devicetype'];
		}
		
		if ($message == ""){		
			
			//SQL文　UPDATE
			$sql = 'UPDATE devices SET name = :name , model = :model , serial = :serial , unit = :unit WHERE id = '.$current_deviceid;
			$prepare = $dbh->prepare($sql);
			$prepare->bindParam(':name', $name, PDO::PARAM_STR);
			$prepare->bindParam(':model', $model, PDO::PARAM_STR);
			$prepare->bindParam(':serial', $serial, PDO::PARAM_STR);
			$prepare->bindParam(':unit', $type, PDO::PARAM_INT);
			$prepare->execute();
			$result = $prepare->fetchAll(PDO::FETCH_ASSOC);
		
			$message = "UPDATED";
			$devices[$current_deviceid]["name"] = $name;
			$devices[$current_deviceid]["model"] = $model;
			$devices[$current_deviceid]["serial"] = $serial;
			$devices[$current_deviceid]["unit_no"] = $type;
			$devices[$current_deviceid]["unit"] = $units[$type];
			
		}
	}
	


?>

<!DOCTYPE html>
<html lang="ja">

<?php
    //ヘッダー情報の読み込み
    require('menu_head.php');
?>

<body id="page-top">

  <!-- Page Wrapper -->
  <div id="wrapper">

<?php
    //初期データ読み込み
    require('menu_side.php');
?>

    <!-- Content Wrapper -->
    <div id="content-wrapper" class="d-flex flex-column">

      <!-- Main Content -->
      <div id="content">

<?php
    //初期データ読み込み
    require('menu_topbar.php');
?>

        <!-- Begin Page Content -------------------------------------------------------------------------------------------------->
        <div class="container-fluid">

          <!-- Page Heading -->
          <h1 class="h3 mb-2 text-gray-800"><?=$devices[$current_deviceid]["name"]?> &lt;<?=$devices[$current_deviceid]["model"]?>&gt;</h1>
          <p class="mb-4">デバイス管理番号：<?=$current_deviceid?></p>
          
		  
          <!-- Content Row -->
          <div class="row">

			<div class="col-xl-12 col-lg-12">
				<!-- Form input -->
				<div class="card shadow mb-4">

					<div class="card-body">
						<p class="help-block"><font color=red><?=$message?></font></p>
						<form class="form-horizontal" method="POST" action="">
							<fieldset>
								<div class="control-group">
									<div class="controls">
										<label class="control-label" for="devicename">デバイス名</label>
										<input type="text" name="devicename" class="input-xlarge" id="devicename" value="<?=$devices[$current_deviceid]["name"]?>">
									</div>
								</div>
								<div class="control-group">
									<div class="controls">
										<label class="control-label" for="devicemodel">デバイス　モデル名</label>
										<input type="text" name="devicemodel" class="input-xlarge" id="devicemodel" value="<?=$devices[$current_deviceid]["model"]?>">
									</div>
								</div>
								<div class="control-group">
									<div class="controls">
										<label class="control-label" for="serialno">デバイス シリアル番号</label>
										<input type="text" name="serialno" class="input-xlarge" id="serialno" value="<?=$devices[$current_deviceid]["serial"]?>">（省略可能）
									</div>
								</div>
								<div class="control-group">
									<div class="controls">
										<label class="control-label" for="devicetype">デバイス データの表示単位</label>
										<select name="devicetype">
										<?php
										    foreach (array_keys($units) as $unit){
												print '<option value="'.$unit.'"'; if($devices[$current_deviceid]["unit_no"]==$unit){print ' selected';}; print '>'.$units[$unit].'</option>';
											}
										?>
										</select>
									</div>
								</div>
					
								<div class="form-actions">
									<input type="submit" name="modify" class="btn btn-primary" value="情報変更"></input>
								</div>
								<hr>
								
							</fieldset>
						</form>
					</div>
				</div>
			</div>

			<div class="col-xl-12 col-lg-12">
				<!-- Form input -->
				<div class="card shadow mb-4">
					<div class="card-header py-3">
						<h6 class="m-0 font-weight-bold text-primary">デバイスからのデータのアップロード方法について</h6>
					</div>
					<div class="card-body">
						<p class="help-block">データのアップロードは、JSON形式の情報をPOSTします。</p>
						ヘッダ内のContent-Typeは、[ "Content-type: application/json" ]としてください。<br>
						また、POST先のURLは、 <?=$_SERVER['REQUEST_SCHEME']?>://<?=$_SERVER['HTTP_HOST']?><?php echo str_replace('sensor-modify.php', 'upload.php', $_SERVER['SCRIPT_NAME']); ?><br>
						ボディ部のJSONデータでは、"deviceid" と、"value"を必ず入れてください。<br>
						"deviceid"には、デバイス毎に異なる数値を入れます。"value"には、登録する数値を記載します。	<br>
						本デバイスでは次のjsonデータのように記載します。
						<br>
						ボディ部のJSONデータのサンプル：
						<pre>{"deviceid": <?=$current_deviceid?>, "value": 24.7}</pre>
						
					</div>
				</div>
			</div>

<?php //var_dump($devices); ?>

          </div>
		  <!-- Content Row end-->

        </div>
        <!-- /.container-fluid -->

      </div>
      <!-- End of Main Content  -------------------------------------------------------------------------------------------------->

<?php
    //初期データ読み込み
    require('menu_footer.php');
?>

    </div>
    <!-- End of Content Wrapper -->

  </div>
  <!-- End of Page Wrapper -->

<?php
    //ヘッダー情報の読み込み
    require('menu_buttom.php');
?>

</body>

</html>
