<?php
    $json_string = file_get_contents('php://input');
    $contents = json_decode($json_string, true);
    
	$error_message = "";
    //パラメータチェック
  	if(is_numeric($contents["value"])){
		$current_value = $contents["value"];
	}else{
		$error_message = "set current value on 'value'.\n";
	}
	if(is_int($contents["deviceid"])){
		$deviceid = $contents["deviceid"];
	}else{
		$error_message = "set device id on 'deviceid'.\n";
	}

	
	if($error_message != ""){
		print($error_message."\n");
	}else{
	
		//初期データ読み込み
		require('ini.php');

		//データベース接続からユーザの端末情報を取得
		try {
			$dbh = new PDO($dsn, $user, $password);
		} catch (PDOException $e) {
			http_response_code( 500 ) ;
			exit();
		}
		
		//テーブルがあるか確認
		try {
			$sql = 'SHOW TABLES LIKE "d'.$deviceid.'"';
			$prepare = $dbh->prepare($sql);
			$prepare->execute();
			$result = $prepare->fetchAll(PDO::FETCH_ASSOC);			
		} catch (PDOException $e) {
			http_response_code( 500 ) ;
			exit();
		} 
		
		if(!isset($result[0])){
			http_response_code( 502 ) ;
			exit();
		} 
		
		try {
			$sql = 'INSERT INTO d'.$deviceid.' (value) VALUES (:value)';
			$prepare = $dbh->prepare($sql);
			$prepare->bindParam(':value', $current_value, PDO::PARAM_STR);
			$prepare->execute();
			$result = $prepare->fetchAll(PDO::FETCH_ASSOC);
		
		}  catch (PDOException $e) {
			http_response_code( 502 ) ;
			exit();
		}

		//var_dump($result);
	}

    
    var_dump($contents);
    
    
?>
